# createCrossChainPayment | xrpl
Documentation for xrpl

# Function createCrossChainPayment

- createCrossChainPayment(payment: Payment, destAccount: string): Payment

- Creates a cross-chain payment transaction.

  ### Returns

  A cross-chain payment transaction, where the mainchain door account is the `Destination` and the destination account on the sidechain is encoded in the memos.

  ### Throws

  XrplError - if there are more than 2 memos.

  #### Parameters

  - ##### payment: Payment

    The initial payment transaction. If the transaction is signed, then it will need to be re-signed. There must be no more than 2 memos, since one memo is used for the sidechain destination account. The destination must be the sidechain's door account.

  - ##### destAccount: string

    the destination account on the sidechain.

  #### Returns Payment

  - Defined in packages/xrpl/src/utils/createCrossChainPayment.ts:21

Generated using TypeDoc